package seng302.Mock;

import seng302.Model.Boat;

/**
 * Created by Joseph on 24/04/2017.
 */
public class StreamedBoat extends Boat {
    private final int sourceID;
    private boolean dnf = false;

    private void init() {
        this.velocity = 0;
    }

    public StreamedBoat(int sourceID, String name, String abbrev) {
        super(name, abbrev);
        this.sourceID = sourceID;
        this.init();
    }

    public StreamedBoat(int sourceID) {
        super("None", "None");
        this.sourceID = sourceID;
        this.init();
    }

    public int getSourceID() {
        return sourceID;
    }

}
